Subject: Re: [PATCH 20/23] rxrpc: use bvec_set_page to initialize a bvec

From: Christoph Hellwig <[email-masked]>
Date: Mon, 30 Jan 2023 13:18:20 +0100

On Mon, Jan 30, 2023 at 11:24:15AM +0000, David Howells wrote:
> Seems to be something people want to do quite a lot and don't know about.

Hmm.  Right now there is one case where it would be used, and there's
about three that are and should be using bio_add_page.

> I've seen places where someone allocates a buffer and clears it just to use as
> a source of zeros.  There's at least one place in cifs, for example.  I know
> about it from wrangling arch code, but most people working on Linux haven't
> done that.

But we don't really need a helper for every possible page use for that.
People just need to learn about ZERO_PAGE.